com.gbasedbt.jdbc

## Interface IfmxResultSet

All Superinterfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public interface IfmxResultSet
    extends java.sql.ResultSet

The IfmxResultSet interface extends the java.sql.ResultSet interface.

See Also:
  `Statement.executeQuery(java.lang.String)`, `Statement.getResultSet()`, `ResultSetMetaData`

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IfxBSONObject` `getIfxBSONObject(int columnIndex)` Gets the value of a column in the current row as an GBase 8s `IfxBSONObject` object.
`IfxBSONObject` `getIfxBSONObject(java.lang.String columnName)` Gets the value of a column in the current row as an GBase 8s `IfxBSONObject` object.
`Interval` `getInterval(int columnIndex)` Gets the value of a column in the current row as an GBase 8s Interval.
`Interval` `getInterval(java.lang.String columnName)` Gets the value of a column in the current row as an GBase 8s Interval.
`IntervalDF` `getIntervalDF(int columnIndex)` Gets the value of a column in the current row as an GBase 8s IntervalDF.
`IntervalDF` `getIntervalDF(java.lang.String columnName)` Gets the value of a column in the current row as an GBase 8s IntervalDF.
`IntervalYM` `getIntervalYM(int columnIndex)` Gets the value of a column in the current row as an GBase 8s IntervalYM.
`IntervalYM` `getIntervalYM(java.lang.String columnName)` Gets the value of a column in the current row as an GBase 8s IntervalYM.
`java.lang.String` `getUnloadString(int columnIndex)` Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getInterval

    Interval getInterval(int columnIndex)
                  throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s Interval.

Parameters:
  `columnIndex` - The first column is 1, the second is 2, and so on.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getInterval

    Interval getInterval(java.lang.String columnName)
                  throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s Interval.

Parameters:
  `columnName` - The SQL name of the column.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getIntervalYM

    IntervalYM getIntervalYM(int columnIndex)
                      throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s IntervalYM.

Parameters:
  `columnIndex` - The first column is 1, the second is 2, and so on.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getIntervalYM

    IntervalYM getIntervalYM(java.lang.String columnName)
                      throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s IntervalYM.

Parameters:
  `columnName` - The SQL name of the column.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getIntervalDF

    IntervalDF getIntervalDF(int columnIndex)
                      throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s IntervalDF.

Parameters:
  `columnIndex` - The first column is 1, the second is 2, and so on.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getIntervalDF

    IntervalDF getIntervalDF(java.lang.String columnName)
                      throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s IntervalDF.

Parameters:
  `columnName` - The SQL name of the column.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getUnloadString

    java.lang.String getUnloadString(int columnIndex)
                              throws java.sql.SQLException

Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format

Parameters:
  `columnName` - The SQL name of the column.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getIfxBSONObject

    IfxBSONObject getIfxBSONObject(java.lang.String columnName)
                            throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s `IfxBSONObject` object.

Parameters:
  `columnName` - The SQL name of the column.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`
Since:
  4.10.JC4

#### getIfxBSONObject

    IfxBSONObject getIfxBSONObject(int columnIndex)
                            throws java.sql.SQLException

Gets the value of a column in the current row as an GBase 8s `IfxBSONObject` object.

Parameters:
  `columnIndex` - The first column is 1, the second is 2, and so on.
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`
Since:
  4.10.JC4